os: linux

dist: bionic

language: php

notifications:
  email:
    on_success: never
    on_failure: change

branches:
  only:
    - master

php:
  - 7.4
  - 8.3

env:
  - WP_VERSION=latest WP_MULTISITE=0

before_script:
  - export PATH="$HOME/.config/composer/vendor/bin:$PATH"
  - phpenv config-rm xdebug.ini
  - composer global config allow-plugins.dealerdirect/phpcodesniffer-composer-installer true
  - composer global require --dev wp-coding-standards/wpcs phpcompatibility/phpcompatibility-wp

script:
  - phpcs --standard=phpcs.ruleset.xml --extensions=php .
